/****************************************************
*
* Guyet T.
* IFSIC - M2 GL - 2009-2010
*
* TD1_exo1.cc : Exemple d'interface
*
****************************************************/

#include <gtkmm.h>

class InterfaceExo1 : public Gtk::Window {
private:
    Gtk::VBox vb;
    Gtk::HBox hb1, hb2;
    Gtk::Label l, l2;
    Gtk::Entry entry;
    Gtk::Button b1, b2, b3;
    Gtk::Alignment align;
public:
    InterfaceExo1() {
    	   
    	   //Initialisation des widgets avec leurs caractéristiques graphiques (ne peut pas se faire comme dans l'énoncé !)
    	   l.set_label("Interface");
    	   l2.set_label("texte");
    	   b1.set_label("Valider");
    	   b2.set_label("Ok");
    	   b3.set_label("Cancel");
    	   align.set(Gtk::ALIGN_RIGHT);
    	  
    	   //Construction de l'interface 
           add(vb);
           vb.pack_start(l, Gtk::PACK_EXPAND_WIDGET, 0);
           vb.pack_start(hb1, Gtk::PACK_EXPAND_PADDING, 0);
           hb1.pack_start(l2, Gtk::PACK_EXPAND_PADDING, 0);
           hb1.pack_start(entry, Gtk::PACK_EXPAND_WIDGET, 10);
           hb1.pack_start(b1, Gtk::PACK_EXPAND_PADDING, 0);
           vb.pack_start(align, Gtk::PACK_EXPAND_PADDING, 0);
           align.add(hb2);
           hb2.pack_start(b2, Gtk::PACK_SHRINK, 10);
           hb2.pack_start(b3, Gtk::PACK_SHRINK, 10);
           show_all();
    }
};


int main(int argc, char **argv) {
	
  Gtk::Main kit(argc, argv);
  InterfaceExo1 fenetre;
  
  kit.run(fenetre);
  return 0;
}
