/****************************************************
*
* Guyet T.
* IFSIC - M2 GL - 2009-2010
*
* TD1_exo2.cc : Exemple d'interface
*
****************************************************/


#include <gtkmm.h>


class InterfaceExo2 : public Gtk::Window {
private:
    Gtk::VBox vb1, vb2;
    Gtk::HBox hb1, hb2;
    Gtk::Frame f;
    Gtk::Entry e;
    Gtk::Alignment a;
    Gtk::Label l1, l2;
    Gtk::Button b1, b2;
    Gtk::RadioButton r1, r2, r3;
    Gtk::Alignment align;
public:
    InterfaceExo2() {
    	
    	   set_title("window1");
    	   resize(400,250);
    	   
           add(vb1);
           
           vb1.pack_start(l1, Gtk::PACK_SHRINK, 0);
           vb1.pack_start(hb1, Gtk::PACK_EXPAND_PADDING, 0);
           vb1.pack_start(f, Gtk::PACK_EXPAND_WIDGET, 0);
           vb1.pack_start(align, Gtk::PACK_SHRINK, 0);
           
           l1.set_label(Glib::ustring("Boîte de configuration"));
           align.set(Gtk::ALIGN_LEFT, Gtk::ALIGN_CENTER, 0, 0);
           
           hb1.pack_start(l2, Gtk::PACK_SHRINK, 0);
           hb1.pack_start(e, Gtk::PACK_EXPAND_WIDGET, 0);
           
           l2.set_label("Entrez un texte");
           
           f.set_label("Choix");
           f.add(vb2);
           
           vb2.pack_start(r1, Gtk::PACK_SHRINK, 0);
           vb2.pack_start(r2, Gtk::PACK_SHRINK, 0);
           vb2.pack_start(r3, Gtk::PACK_SHRINK, 0);
           r1.set_label("Choix 1");
           r2.set_label("Choix 2");
           r3.set_label("Choix 3");
           r3.toggled();
           
           align.add(hb2);
           
           hb2.set_homogeneous(true); // Les deux boutons doivent avoir la même taille
                      
           hb2.pack_start(b1, Gtk::PACK_EXPAND_WIDGET, 5);
           hb2.pack_start(b2, Gtk::PACK_EXPAND_WIDGET, 5);
           
           b1.set_label("Ok");
           b2.set_label("Cancel");
           
           b2.set_size_request(70,30); //Pas besoin de le faire sur les deux boutons vu qu'on impose d'avoir les mêmes tailles
           
           show_all();
    }
};


int main(int argc, char **argv) {
	
  Gtk::Main kit(argc, argv);
  InterfaceExo2 fenetre;  
  kit.run(fenetre);
  return 0;
}


